#pragma once

#include "CoreMinimal.h"
#include "GameFramework/HUD.h"
#include "PS_Editor_HUD.generated.h"

class UPS_Editor_MainWidget;

/**
 * HUD for the PS_Editor runtime editing mode.
 * Creates and manages the main editor widget.
 */
UCLASS()
class PS_EDITOR_API APS_Editor_HUD : public AHUD
{
	GENERATED_BODY()

public:
	/** Returns the main editor widget instance. */
	UFUNCTION(BlueprintCallable, Category = "PS Editor|UI")
	UPS_Editor_MainWidget* GetMainWidget() const { return MainWidget; }

protected:
	virtual void BeginPlay() override;

private:
	UPROPERTY()
	TObjectPtr<UPS_Editor_MainWidget> MainWidget;
};
